AsterNet Class Library (Sandcastle documentation)

| MailboxStatusResponse Class

A MailboxStatusResponse is sent in response to a MailboxStatusAction and indicates if a set of mailboxes contains waiting messages.
Inheritance Hierarchy
System
Object
AsterNET.Manager.Response
ManagerResponse
AsterNET.Manager.Response
MailboxStatusResponse

Namespace: AsterNET.Manager.Response
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class MailboxStatusResponse : ManagerResponse

    Public Class MailboxStatusResponse
    	Inherits ManagerResponse

    public ref class MailboxStatusResponse : public ManagerResponse

    type MailboxStatusResponse =
        class
            inherit ManagerResponse
        end

The MailboxStatusResponse type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| MailboxStatusResponse | Initializes a new instance of the MailboxStatusResponse class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)

GetAttribute

Returns the value of the attribute with the given key.
This is particulary important when a response contains special attributes that are dependent on the action that has been sent.
An example of this is the response to the GetVarAction. It contains the value of the channel variable as an attribute stored under the key of the variable name.
Example:

                        GetVarAction action = new GetVarAction();
                        action.setChannel("SIP/1310-22c3");
                        action.setVariable("ALERT_INFO");
                        ManagerResponse response = connection.SendAction(action);
                        String alertInfo = response.getAttribute("ALERT_INFO");

As all attributes are internally stored in lower case the key is automatically converted to lower case before lookup.
(Inherited from ManagerResponse.)

| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| IsSuccess | Return true if Response is success (Inherited from ManagerResponse.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| Parse | Unknown properties parser (Inherited from ManagerResponse.)
| ParseSpecial | Unknown properties parser (Inherited from ManagerResponse.)
| ToString | (Inherited from ManagerResponse.)

Top
Fields

| Name | Description
--- | --- | ---
| attributes | (Inherited from ManagerResponse.)

Top
Properties

| Name | Description
--- | --- | ---
| ActionId | Get/Set the action id received with this response referencing the action that generated this response. (Inherited from ManagerResponse.)
| Attributes | Store all unknown (without setter) keys from manager event. Use in default Parse method Parse(String, String). (Inherited from ManagerResponse.)
| DateReceived | Get/Set the point in time this response was received from the asterisk server. (Inherited from ManagerResponse.)
| Mailbox | Get/Set the names of the mailboxes, separated by ",".
| Message | Get/Set the message received with this response. The content depends on the action that generated this response. (Inherited from ManagerResponse.)
| Privilege | Get/Set the AMI authorization class of this event. This is one or more of system, call, log, verbose, command, agent or user. Multiple privileges are separated by comma. Note: This property is not available from Asterisk 1.0 servers. (Inherited from ManagerResponse.)
| Response | Get/Set the value of the "Response:" line. This typically a String like "Success" or "Error" but depends on the action that generated this response. (Inherited from ManagerResponse.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerResponse.)
| UniqueId | Get/Set the unique id received with this response. The unique id is used to keep track of channels created by the action sent, for example an OriginateAction. (Inherited from ManagerResponse.)
| Waiting | Get/Set true if at least one of the given mailboxes contains new messages, false otherwise.

Top
See Also

#### Reference

AsterNET.Manager.Response Namespace
AsterNET.Manager.Action
MailboxStatusAction